Help get this topic noticed by sharing it on Twitter, Facebook, or email.
I’m sad

Snow Leopard / App Store impossible!

I wanted to buy it but I see that I can't since I'm using Snow Leopard (10.6.1) and due to certain matters concerning some software I already have and compatibility issues, I can NOT upgrade further (at least until I can replace some of my old software with suitable choices). Ain't there a way to buy JPEGmini from a 10.6.1 system?
1 person has
this problem
+1
Reply